public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/loudmouth/
Date: Sat, 14 Apr 2018 16:01:35 +0000 (UTC)	[thread overview]
Message-ID: <1523721543.c707d7fdab665ca3dc524c8f86045e2cb0253cfb.pacho@gentoo> (raw)

commit:     c707d7fdab665ca3dc524c8f86045e2cb0253cfb
Author:     Peter Levine <plevine457 <AT> gmail <DOT> com>
AuthorDate: Mon Mar 26 05:27:01 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Apr 14 15:59:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c707d7fd

net-libs/loudmouth: Revbump for EAPI-6

Package-Manager: Portage-2.3.16, Repoman-2.3.6

 net-libs/loudmouth/loudmouth-1.5.3-r1.ebuild | 59 ++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/net-libs/loudmouth/loudmouth-1.5.3-r1.ebuild b/net-libs/loudmouth/loudmouth-1.5.3-r1.ebuild
new file mode 100644
index 00000000000..ab65db268b9
--- /dev/null
+++ b/net-libs/loudmouth/loudmouth-1.5.3-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Lightweight C Jabber library"
+HOMEPAGE="https://github.com/mcabber/loudmouth"
+SRC_URI="https://github.com/mcabber/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~ppc-macos"
+
+IUSE="asyncns ssl openssl static-libs test"
+
+# Automagic libidn dependency
+RDEPEND="
+	>=dev-libs/glib-2.16:2
+	net-dns/libidn
+	ssl? (
+		!openssl? ( >=net-libs/gnutls-1.4.0 )
+		openssl? ( dev-libs/openssl:0= )
+	)
+	asyncns? ( >=net-libs/libasyncns-0.3 )
+"
+DEPEND="${RDEPEND}
+	test? ( dev-libs/check )
+	virtual/pkgconfig
+	>=dev-util/gtk-doc-1
+	>=dev-util/gtk-doc-am-1
+"
+
+PATCHES=( "${FILESDIR}"/${P}-gcc7.patch )
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+
+	if use ssl; then
+		if ! use openssl; then
+			myconf="${myconf} --with-ssl=gnutls"
+		else
+			myconf="${myconf} --with-ssl=openssl"
+		fi
+	else
+		myconf="${myconf} --with-ssl=no"
+	fi
+
+	econf \
+		$(use_enable static-libs static) \
+		$(use_with asyncns) \
+		${myconf}
+}


             reply	other threads:[~2018-04-14 16:01 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-14 16:01 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-18 12:28 [gentoo-commits] repo/gentoo:master commit in: net-libs/loudmouth/ Sam James
2022-12-18 12:26 Sam James
2022-12-18 11:44 Sam James
2022-04-13 14:46 Sam James
2021-12-13  5:54 Yixun Lan
2021-11-16 16:38 Andrey Utkin
2020-12-14  0:46 Sam James
2019-06-03 20:31 Sergei Trofimovich
2019-05-02 21:16 Mikle Kolyada
2019-03-16 14:01 Mikle Kolyada
2019-03-13 22:32 Sergei Trofimovich
2019-03-03 12:11 Mikle Kolyada
2019-03-02 23:42 Thomas Deutschmann
2019-03-02 20:02 Sergei Trofimovich
2019-03-02 19:52 Sergei Trofimovich
2019-01-31 10:39 Andrey Utkin
2019-01-31 10:39 Andrey Utkin
2019-01-31 10:39 Andrey Utkin
2018-10-29 22:27 Andrey Utkin
2018-10-29 22:27 Andrey Utkin
2018-10-29 22:27 Andrey Utkin
2018-08-21  0:20 Andrey Utkin
2018-07-30 21:50 Sergei Trofimovich
2018-07-10 20:04 Andrey Utkin
2018-07-01  8:57 Pacho Ramos
2018-06-18 20:21 Tobias Klausmann
2018-05-27 20:18 Mikle Kolyada
2018-05-26 18:11 Sergei Trofimovich
2018-05-25 23:58 Thomas Deutschmann
2018-05-25  8:41 Sergei Trofimovich
2018-04-14 16:01 Pacho Ramos
2017-11-12 10:40 Sergei Trofimovich
2017-11-07 18:22 Thomas Deutschmann
2017-11-07 12:57 Manuel Rüger
2017-11-02 20:19 Sergei Trofimovich
2017-10-29 10:18 Sergei Trofimovich
2017-09-16 11:08 Sergei Trofimovich
2016-03-29  6:58 Wolfram Schlich
2016-01-28  6:48 Wolfram Schlich
2016-01-27 10:54 Wolfram Schlich
2016-01-27  6:45 Wolfram Schlich
2016-01-25 13:40 Wolfram Schlich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1523721543.c707d7fdab665ca3dc524c8f86045e2cb0253cfb.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox